Bug 1915007 - Fixed by revert -- Upgrade to OCP 4.6.9 results in cluster-wide DNS and connectivity issues due to bad NetworkPolicy flows
Summary: Fixed by revert -- Upgrade to OCP 4.6.9 results in cluster-wide DNS and conne...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 4.6.z
Assignee: Dan Winship
QA Contact: zhaozhanqi
URL:
Whiteboard:
Depends On: 1914284
Blocks: 1915008
TreeView+ depends on / blocked
 
Reported: 2021-01-11 17:54 UTC by Scott Dodson
Modified: 2021-03-31 04:17 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Problems with NetworkPolicy in 4.6.9 Consequence: After upgrading to 4.6.9 customers who have any NetworkPolicies in their clusters might experience network connectivity problems (even in namespaces that don't have NetworkPolicies). Fix: Reverted several performance-related fixes that had been made to the NetworkPolicy code. Result: NetworkPolicy works again, though without the performance improvements that had shipped in 4.6.9.
Clone Of: 1914284
: 1915008 (view as bug list)
Environment:
Last Closed: 2021-01-18 18:00:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0037 0 None None None 2021-01-18 18:00:39 UTC

Comment 1 Scott Dodson 2021-01-11 18:05:18 UTC
Please note that when testing this it was fixed by reverting the changes in bug 1904455, that bug has been moved back to ASSIGNED to be fixed in the future.

Comment 7 errata-xmlrpc 2021-01-18 18:00:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.6.12 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:0037

Comment 8 W. Trevor King 2021-03-31 04:17:51 UTC
Converting UpgradeBlocker to Upgrades per [1].

[1]: https://bugzilla.redhat.com/show_bug.cgi?id=1914284#c38


Note You need to log in before you can comment on or make changes to this bug.